import { declare } from '@babel/helper-plugin-utils';
import { types } from '@babel/core';

var index = declare(api => {
  api.assertVersion(7);
  return {
    name: "transform-property-literals",
    visitor: {
      ObjectProperty: {
        exit({
          node
        }) {
          const key = node.key;
          if (!node.computed && types.isIdentifier(key) && !types.isValidES3Identifier(key.name)) {
            node.key = types.stringLiteral(key.name);
          }
        }
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
